// From https://masteringjs.io/tutorials/express/server-sent-events

const express = require('express')
const app = express()

app.get('/stream', function(req, res) {
  res.set({'Content-Type': 'text/event-stream'});
  res.flushHeaders();
  setTimeout(() => res.write(`data: 32\n\n`), 2000);
  setTimeout(() => res.write(`data: 42\n\n`), 4000);
})

const path = require('path');
app.get('/', (req, res) => {
  res.sendFile(path.join(__dirname, '/index.html'));
})

const port = 3000
app.listen(port, () => {
  console.log(`Example app listening at http://localhost:${port}`)
})
